﻿using System.Text.Json.Serialization;

namespace MeterTelemetry.Models;

public class Telemetry
{
  // Uses System.Json by default in v4
  [JsonPropertyName("id")]
  public string Id { get; set; } = Guid.NewGuid().ToString();
  public string MonitorId { get; set; } = "";
  public ICollection<Reading>? Readings { get; set; }
  public string Notes { get; set; } = "";
  public MonitorStatus MonitorStatus { get; set; }
}
